Bug 19112 - Stored XSS in basketheader.pl
Summary: Stored XSS in basketheader.pl
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Amit Gupta
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 14568
  Show dependency treegraph
 
Reported: 2017-08-15 14:20 UTC by Amit Gupta
Modified: 2017-09-07 06:13 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19112 - Stored XSS in basketheader.pl page (4.87 KB, patch)
2017-08-15 14:56 UTC, Amit Gupta
Details | Diff | Splinter Review
[SIGNED OFF] Bug 19112 - Stored XSS in basketheader.pl page (4.95 KB, patch)
2017-08-16 08:50 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 19112 - Stored XSS in basketheader.pl page (5.04 KB, patch)
2017-08-16 11:33 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Amit Gupta 2017-08-15 14:20:21 UTC
Affected URL:
/cgi-bin/koha/acqui/basket.pl?basketno=[basketno]
/cgi-bin/koha/acqui/basketheader.pl?booksellerid=[booksellerid]&basketno=[basketno]&op=add_form
/cgi-bin/koha/acqui/booksellers.pl
Comment 1 Amit Gupta 2017-08-15 14:56:17 UTC
Created attachment 66016 [details] [review]
Bug 19112 - Stored XSS in basketheader.pl page

To Test

1. Hit the page /cgi-bin/koha/acqui/basketheader.pl?booksellerid=1&op=add_form
2. Add a text in the field Basket name, Internal note, Vendor note that contains java script
3. Save the page
4. Notice js is execute
5. Apply patch, reload, js is escaped.

Fixed XSS on pages basket.pl/basketheader.pl/bookseller.pl
Comment 2 Katrin Fischer 2017-08-16 08:50:29 UTC
Created attachment 66048 [details] [review]
[SIGNED OFF] Bug 19112 - Stored XSS in basketheader.pl page

To Test

1. Hit the page /cgi-bin/koha/acqui/basketheader.pl?booksellerid=1&op=add_form
2. Add a text in the field Basket name, Internal note, Vendor note that contains java script
3. Save the page
4. Notice js is execute
5. Apply patch, reload, js is escaped.

Fixed XSS on pages basket.pl/basketheader.pl/bookseller.pl

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Marcel de Rooy 2017-08-16 11:33:53 UTC
Created attachment 66067 [details] [review]
Bug 19112 - Stored XSS in basketheader.pl page

To Test

1. Hit the page /cgi-bin/koha/acqui/basketheader.pl?booksellerid=1&op=add_form
2. Add a text in the field Basket name, Internal note, Vendor note that contains java script
3. Save the page
4. Notice js is execute
5. Apply patch, reload, js is escaped.

Fixed XSS on pages basket.pl/basketheader.pl/bookseller.pl

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Jonathan Druart 2017-08-29 15:07:48 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 5 Fridolin SOMERS 2017-09-05 12:42:19 UTC
Pushed to 17.05.x, is in 17.05.03
Comment 6 Katrin Fischer 2017-09-07 06:13:39 UTC
This patch has been pushed to 16.11.x and is in 16.11.11.